//Ex3_16.cpp
#include "iostream" 
#include "iomanip" 
using namespace std;
void main() 
{ int i,n; 
  cin>>n;
    for(i=2;i<n;i++) 
    if (n%i==0) break;   //m被i整除，n不是素数，退出循环 
  if (n==i) cout<<n<<" is a prime"<<endl; 
  else cout<<n<<" is not a prime"<<endl; 
}
